@import "./../../../../../static/css/variables";
@import "./../../../../../static/css/utilities";

$height-container-header: 52.8px;

.container-panel.lucro-diario-section.lucro-diario-section {
  min-height: calc(100vh - $height-header - $height-tabs - $height-footer - $height-actions-area - 55px - .75rem);
  max-height: calc(100vh - $height-header - $height-tabs - $height-footer - $height-actions-area - 55px - .75rem);
  height: calc(100vh - $height-header - $height-tabs - $height-footer - $height-actions-area - 55px - .75rem);

  // calc(100vh - 66px - 31px - 35px - 51px - 0.75rem)

  .container-header {
    display: flex;
    align-items: center;
    justify-content: center;
    h1 {
      padding: 1rem .5rem .5rem;
      text-align: center;
      font-size: 1.5rem;
      color: #303030;
      text-transform: uppercase;
      display: flex;
      align-items: center;
      justify-content: center;
      .curr-date {
        cursor: pointer;
        font-size: 1.25rem;
        padding: .1rem .25rem .1rem .5rem;
        transition: color .25s ease-in-out;
        &:hover {
          color: #72706C;
        }
      }
      i {
        cursor: pointer;
        font-size: .85rem;
        color: lightgray;
        transition: color .25s ease-in-out;
        &:hover {
          color: #72706C;
        }
      }
    }
  }
  .container-body {
    // height: calc(100% - $height-container-header);
    height: 100%;

    .search-area {
      display: flex;
      max-width: 100%;
      justify-content: center;
      align-items: center;
      flex-wrap: wrap;
      padding: .5rem 1rem;
      input {
        width: 320px;
        max-width: 80vw;
      }
      button {
        margin: .25rem;
      }
    }
    .table-header-fixed {
      padding: 0 .5rem .5rem;
      overflow-y: auto;
      height: 98%;
      max-height: 98%;
      table {
        margin: 0;
        thead {
          border: none;
          background-color: white;
          tr {
            background-color: white;
            th {
              white-space: nowrap;
              position: sticky;
              top: 0;
              z-index: 1;
              background-color: white;
              border-color: lightgray;
              text-transform: uppercase;
            }
          }
        }
        tbody {
          border: none;
          tr {
            td {
              border-color: lightgray;
              white-space: nowrap;
              font-size: $font-main-size;
              &.em-operacao {
                background-color:#d9cf1140!important;
                color: black;
                font-weight: 500;
                text-align:center;
              }
              &.meta-cumprida {
                background: rgba(101, 183, 101, 0.18) !important;
                color: black;
                font-weight: 500;
                text-align:center;
                max-width: 90px;
                width: 78px;
              }
              &.meta-nao-cumprida {
                background: rgba(232, 71, 71, 0.04) !important;
                color: red !important;
                font-weight: 500;
                text-align:center;
                max-width: 90px;
                width: 78px;
              }
              &.operacoes {
                max-width: 90px;
                width: 58px;
              }
            }
          }
        }
      }
    }
    .client-main-area {
      &.client-main-area-cock {
        height: 100%;
      }
      .content-wrapper {
        // min-height: calc(100vh - 80px);
        // height: 100%;
        padding-top: 1rem;
        overflow-x: hidden;
        background: white;
        .card-statistics {
          border-color: transparent;
          .card-body {
            font-size: 1.2rem;
            font-weight: 500;
            padding: .25rem 1rem;
            .card-body-icon {
              position: absolute;
              z-index: 0;
              top: -5px;
              right: -5px;
              font-size: 2rem;
              -webkit-transform: rotate(15deg);
              -ms-transform: rotate(15deg);
              transform: rotate(15deg);
            }
            i {}
            .title {
              line-height: 1;
              color: #000000bf;
            }
            .value {
              font-size: 1.5rem;
              line-height: 1;
              color: #000000bf;
            }
            .lucro-diario-content {
              .title {
                display: flex;
                align-items: center;
                color: #000000bf;
                .lucro-dia-date {
                  cursor: pointer;
                  span {
                    margin-left: 5px;
                    cursor: pointer;
                    transition: background-color .25s ease-in-out;
                    padding: 0 4px;
                    border-radius: 4px;
                    &:hover {
                      background-color: white;
                    }
                  }
                  input {}
                  .flatpickr-wrapper {
                    
                  }
                }
              }
              .value {
                font-size: 1.5rem;
                line-height: 1;
                color: #000000bf;
              }
            }
          }
        }
      }
      .client-tabs-row {
        width: 100%;
        height: calc(100% - 74px);
        margin: 0;
        .client-tabs {
          min-height: 55vh;
          height: fit-content;
          width: 100%;
          margin: 0 auto;
          .nav-link {
            font-size: 1.25rem;
            color: #000000a3;
            &.active {
              font-weight: 600;
              color: #000000bf;
            }
          }
          .tab-pane {
            .dates {
              span {
                &.title {
                  font-size: 1.25rem;
                  font-weight: 500;
                  border-bottom: 1px solid lightgray;
                }
              }
              .first-date {
                span {
                  &.curr-date {
                    font-size: 1.25rem;
                    cursor: pointer;
                    transition: background-color .25s ease-in-out;
                    padding: 0 4px;
                    border-radius: 4px;
                    &:hover {
                      background-color: #f2b84b7a;
                    }
                  }
                  &.period {
                    min-width: 60px;
                  }
                }
                input {}
              }
              .final-date {
                span {
                  &.curr-date {
                    font-size: 1.25rem;
                    cursor: pointer;
                    transition: background-color .25s ease-in-out;
                    padding: 0 4px;
                    border-radius: 4px;
                    &:hover {
                      background-color: #f2b84b7a;
                    }
                  }
                  &.period {
                    min-width: 60px;
                  }
                }
                input {
      
                }
              }
            }
            canvas {
              max-height: 40vh;
            }
          }
        }
      }
    }    
  }
}

@media only screen and (max-width: 420px) {
  .container-panel.lucro-diario-section {
    min-height: 100% !important;
    max-height: 100% !important;
    height: 100% !important;
    .container-header {
      h1 {}
    }
    .container-body {
      .search-area {
        input {}
        button {
          width: 80vw;
        }
      }
      .table-header-fixed {
        table {
          thead {
            tr {
              th {}
            }
          }
          tbody {
            tr {
              td {}
            }
          }
        }
      }
      .client-main-area {
        &.client-main-area-cock {}
        .content-wrapper {
          .card-statistics {
            .card-body {
              .card-body-icon {}
              i {}
              .title {}
              .value {}
              .lucro-diario-content {
                .title {
                  .lucro-dia-date {
                    span {
                      &:hover {}
                    }
                    input {}
                    .flatpickr-wrapper {}
                  }
                }
                .value {}
              }
            }
          }
        }
        .client-tabs-row {
          .client-tabs {
            .nav-link {
              &.active {}
            }
            .tab-pane {
              .dates {
                span {
                  &.title {}
                }
                .first-date {
                  span {
                    &.curr-date {
                      &:hover {}
                    }
                    &.period {}
                  }
                  input {}
                }
                .final-date {
                  span {
                    &.curr-date {
                      &:hover {}
                    }
                    &.period {}
                  }
                  input {}
                }
              }
              canvas {}
            }
          }
        }
      }
    }
  }
}
@media only screen and (max-width: 600px) {
  .container-panel.lucro-diario-section {
    .container-header {
      h1 {}
    }
    .container-body {
      .table-header-fixed {
        table {
          thead {
            tr {
              th {}
            }
          }
          tbody {
            tr {
              td {}
            }
          }
        }
      }
      .client-main-area {
        &.client-main-area-cock {}
        .content-wrapper {
          .card-statistics {
            .card-body {
              .card-body-icon {}
              i {}
              .title {}
              .value {}
              .lucro-diario-content {
                .title {
                  .lucro-dia-date {
                    span {
                      &:hover {}
                    }
                    input {}
                    .flatpickr-wrapper {}
                  }
                }
                .value {}
              }
            }
          }
        }
        .client-tabs-row {
          .client-tabs {
            .nav-link {
              &.active {}
            }
            .tab-pane {
              .dates {
                span {
                  &.title {}
                }
                .first-date {
                  span {
                    &.curr-date {
                      &:hover {}
                    }
                    &.period {}
                  }
                  input {}
                }
                .final-date {
                  span {
                    &.curr-date {
                      &:hover {}
                    }
                    &.period {}
                  }
                  input {}
                }
              }
              canvas {}
            }
          }
        }
      }
    }
  }
}
@media only screen and (max-width: 768px) {
  .container-panel.lucro-diario-section {
    .container-header {
      h1 {}
    }
    .container-body {
      .table-header-fixed {
        table {
          thead {
            tr {
              th {}
            }
          }
          tbody {
            tr {
              td {}
            }
          }
        }
      }
      .client-main-area {
        &.client-main-area-cock {}
        .content-wrapper {
          .card-statistics {
            .card-body {
              .card-body-icon {}
              i {}
              .title {}
              .value {}
              .lucro-diario-content {
                .title {
                  .lucro-dia-date {
                    span {
                      &:hover {}
                    }
                    input {}
                    .flatpickr-wrapper {}
                  }
                }
                .value {}
              }
            }
          }
        }
        .client-tabs-row {
          .client-tabs {
            .nav-link {
              &.active {}
            }
            .tab-pane {
              .dates {
                span {
                  &.title {}
                }
                .first-date {
                  span {
                    &.curr-date {
                      &:hover {}
                    }
                    &.period {}
                  }
                  input {}
                }
                .final-date {
                  span {
                    &.curr-date {
                      &:hover {}
                    }
                    &.period {}
                  }
                  input {}
                }
              }
              canvas {}
            }
          }
        }
      }
    }
  }
}
@media only screen and (max-width: 992px) {
  .container-panel.lucro-diario-section {
    .container-header {
      h1 {}
    }
    .container-body {
      .table-header-fixed {
        max-height: 67vh;
        table {
          thead {
            tr {
              th {}
            }
          }
          tbody {
            tr {
              td {}
            }
          }
        }
      }
      .client-main-area {
        &.client-main-area-cock {}
        .content-wrapper {
          .card-statistics {
            .card-body {
              .card-body-icon {}
              i {}
              .title {}
              .value {}
              .lucro-diario-content {
                .title {
                  .lucro-dia-date {
                    span {
                      &:hover {}
                    }
                    input {}
                    .flatpickr-wrapper {}
                  }
                }
                .value {}
              }
            }
          }
        }
        .client-tabs-row {
          height: min-content !important;
          .client-tabs {
            min-height: 50vh !important;
            .nav-link {
              &.active {}
            }
            .tab-pane {
              .dates {
                span {
                  &.title {}
                }
                .first-date {
                  span {
                    &.curr-date {
                      &:hover {}
                    }
                    &.period {}
                  }
                  input {}
                }
                .final-date {
                  span {
                    &.curr-date {
                      &:hover {}
                    }
                    &.period {}
                  }
                  input {}
                }
              }
              canvas {
                max-height: 32vh !important;
              }
            }
          }
        }
      }
    }
  }
}
@media only screen and (max-width: 1200px) {
  .container-panel.lucro-diario-section {
    .container-header {
      h1 {}
    }
    .container-body {
      .table-header-fixed {
        table {
          thead {
            tr {
              th {}
            }
          }
          tbody {
            tr {
              td {}
            }
          }
        }
      }
      .client-main-area {
        &.client-main-area-cock {}
        .content-wrapper {
          .card-statistics {
            .card-body {
              .card-body-icon {}
              i {}
              .title {}
              .value {}
              .lucro-diario-content {
                .title {
                  .lucro-dia-date {
                    span {
                      &:hover {}
                    }
                    input {}
                    .flatpickr-wrapper {}
                  }
                }
                .value {}
              }
            }
          }
        }
        .client-tabs-row {
          .client-tabs {
            .nav-link {
              &.active {}
            }
            .tab-pane {
              .dates {
                span {
                  &.title {}
                }
                .first-date {
                  span {
                    &.curr-date {
                      &:hover {}
                    }
                    &.period {}
                  }
                  input {}
                }
                .final-date {
                  span {
                    &.curr-date {
                      &:hover {}
                    }
                    &.period {}
                  }
                  input {}
                }
              }
              canvas {}
            }
          }
        }
      }
    }
  }
}
